Page MenuHomePhabricator

Allow longer edit summaries on translatewiki.net
Closed, ResolvedPublic

Description

Edit summary's length is currently limited to 255 bytes on translatewiki.net.

It may not be that bad for summaries written in English, but there are some languages where each character takes 2 bytes or even more, and thus the maximum allowed length for summaries written in these languages is way more limited than English.

Therefore, I suggest to increase this limitation from 255 bytes to 500 characters (this is the same as all Wikimedia wikis, see T188798).

Thanks.

Event Timeline

Guycn2 created this task.Jun 17 2018, 5:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2018, 5:50 AM

This depends on changing the value of $wgCommentTableSchemaMigrationStage

Change 440748 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Set $wgCommentTableSchemaMigrationStage to MIGRATION_WRITE_BOTH

https://gerrit.wikimedia.org/r/440748

Change 440748 merged by jenkins-bot:
[translatewiki@master] Set $wgCommentTableSchemaMigrationStage to MIGRATION_WRITE_BOTH

https://gerrit.wikimedia.org/r/440748

Nikerabbit closed this task as Resolved.Jun 17 2018, 4:33 PM
Nikerabbit claimed this task.
Nikerabbit removed a project: Patch-For-Review.

Thank you for fixing it so quickly!

Vvjjkkii renamed this task from Allow longer edit summaries on translatewiki.net to gsaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Nikerabbit as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from gsaaaaaaaa to Allow longer edit summaries on translatewiki.net.Jul 2 2018, 4:44 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Nikerabbit.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.